[PATCH v2 0/2] git notes show: handle empty notes gracefully

STALE3730d

Revision v2 of 2 in this series.

4 messages, 2 authors, 2016-06-15 · open the first message on its own page

[PATCH v2 0/2] git notes show: handle empty notes gracefully

From: Michael J Gruber <hidden>
Date: 2016-06-15 22:46:07

"git notes show" barks when there is no note to show. This introduces a
test (yes, a test!) and, in a second round, reacts more gracefully to
empty notes and adjust the expected test output accordingly.

Note that in both cases (before/after the patch) the return code is
non-zero: It's 128 in the ungraceful case, 1 when "dieing gracefully",
uhm...

The main achivement in v2 is the correction of typos in the commit
messages and comments, as well as the addition of proper s-o-b (son of
a...) lines.

Additionally, v2 incorporates input from the two J's. We test explicitly
for return code 1 now.

Michael J Gruber (2):
  git notes show: test empty notes
  handle empty notes gracefully

 git-notes.sh     |    2 ++
 t/t3301-notes.sh |    5 +++++
 2 files changed, 7 insertions(+), 0 deletions(-)

[PATCH v2 1/2] git notes show: test empty notes

From: Michael J Gruber <hidden>
Date: 2016-06-15 22:46:07

Add a test for the handling of empty notes by "git notes show".

Signed-off-by: Michael J Gruber <redacted>
---
 t/t3301-notes.sh |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/t/t3301-notes.sh b/t/t3301-notes.sh
index 9393a25..7ef1c29 100755
--- a/t/t3301-notes.sh
+++ b/t/t3301-notes.sh
@@ -35,6 +35,11 @@ test_expect_success 'need valid notes ref' '
 	! MSG=2 GIT_NOTES_REF='/' git notes show
 '
 
+# 1 indicates caught gracefully by die, 128 means git-show barked
+test_expect_failure 'handle empty notes gracefully' '
+	git notes show ; test 1 = $?
+'
+
 test_expect_success 'create notes' '
 	git config core.notesRef refs/notes/commits &&
 	MSG=b1 git notes edit &&
-- 
1.6.1.2.253.ga34a

[PATCH v2 2/2] handle empty notes gracefully

From: Michael J Gruber <hidden>
Date: 2016-06-15 22:46:07

Currently, git-notes barks when asked to show an empty (i.e.
non-existing) note. Change this to explicitly say there is none.

Signed-off-by: Michael J Gruber <redacted>
---
 git-notes.sh     |    2 ++
 t/t3301-notes.sh |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)
diff --git a/git-notes.sh b/git-notes.sh
index bfdbaa8..9cbad02 100755
--- a/git-notes.sh
+++ b/git-notes.sh
@@ -58,6 +58,8 @@ edit)
 		"$GIT_NOTES_REF" $NEW_HEAD $CURRENT_HEAD
 ;;
 show)
+	git rev-parse -q --verify "$GIT_NOTES_REF":$COMMIT > /dev/null ||
+		die "No note for commit $COMMIT."
 	git show "$GIT_NOTES_REF":$COMMIT
 ;;
 *)
diff --git a/t/t3301-notes.sh b/t/t3301-notes.sh
index 7ef1c29..ff4ea05 100755
--- a/t/t3301-notes.sh
+++ b/t/t3301-notes.sh
@@ -36,7 +36,7 @@ test_expect_success 'need valid notes ref' '
 '
 
 # 1 indicates caught gracefully by die, 128 means git-show barked
-test_expect_failure 'handle empty notes gracefully' '
+test_expect_success 'handle empty notes gracefully' '
 	git notes show ; test 1 = $?
 '
 
-- 
1.6.1.2.253.ga34a

Re: [PATCH v2 0/2] git notes show: handle empty notes gracefully

From: Thomas Rast <hidden>
Date: 2016-06-15 22:46:10

Michael J Gruber wrote:
Michael J Gruber (2):
  git notes show: test empty notes
  handle empty notes gracefully
Tested-by: Thomas Rast <redacted>

The previous message was especially annoying because it would fire up
the pager on narrow terminals.

-- 
Thomas Rast
trast@{inf,student}.ethz.ch
Keyboard shortcuts
hback out one level
jnext message in thread
kprevious message in thread
ldrill in
Escclose help / fold thread tree
?toggle this help